[SciPy-user] error linking to libg2c on 64-bit machine

Pearu Peterson pearu at scipy.org
Tue Nov 9 04:56:05 CST 2004



On Tue, 9 Nov 2004, Giovanni Samaey wrote:

> Giovanni Samaey wrote:
>
> <snip>
>
>> So there is an incompatibility between what g77 is compiling and what is in 
>> this version of libg2c.
>> Recompiling libg2c (as suggested) is not an option. 
>
> Of course, providing a recompiled libg2c in a different place would be an 
> option if I can tell the install script where
> to look...

.. this would also mean compiling compiler, afaik.

Do you have g2c-pic library installed in your system?
For example, debian provides both g2c and g2c-pic. Scipy setup scripts 
use g2c-pic when available.

HTH,
Pearu



More information about the SciPy-user mailing list